Activity log for bug #1010069

Date Who What changed Old value New value Message
2012-06-07 15:46:18 Serge Hallyn bug added bug
2012-06-07 16:37:40 Serge Hallyn attachment added eglibc.debdiff https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1010069/+attachment/3179563/+files/eglibc.debdiff
2012-06-07 18:32:29 Serge Hallyn eglibc (Ubuntu): status New Triaged
2012-06-07 18:32:51 Serge Hallyn eglibc (Ubuntu): importance Undecided Medium
2012-06-07 20:31:59 Ubuntu Foundations Team Bug Bot tags patch
2012-06-12 19:09:40 Adam Conrad eglibc (Ubuntu): assignee Adam Conrad (adconrad)
2012-06-12 19:09:52 Adam Conrad nominated for series Ubuntu Precise
2012-06-12 19:09:52 Adam Conrad bug task added eglibc (Ubuntu Precise)
2012-08-09 21:46:01 Launchpad Janitor branch linked lp:ubuntu/eglibc
2012-08-09 23:45:13 Launchpad Janitor eglibc (Ubuntu): status Triaged Fix Released
2012-09-12 19:56:58 Chris J Arges description This bug is not upstream, and the define is too new to appear in debian. Upstream, AT_EMPTY_PATH is defined in io/fcntl.h. In debian, debian/patches/any/submitted-bits-fcntl_h-at.diff moves the *AT defines into the per-arch bits/fcntl.h files. The ubuntu-specific merge of newer upstream updated the patch doing so to remove the AT_EMPTY_PATH with the rest of that blcok from io/fcntl.c, but does not add it to the bits/fcntl.h files. This is needed for qemu-kvm to compile the virtio-9p-handle.c file. A debdiff is attached which adds the definition. [Impact] A fix is needed for qemu-kvm to compile the virtio-9p-handle.c file. [Development Fix] This is fixed in quantal. [Stable Fix] A fix can be backported from quantal into precise. [Test Case] Try to compile the virtio-9p-handle.c file in qemu-kvm. [Regression Potential] This patch adds AT_SYMLINK_FOLLOW, AT_NO_AUTOMOUNT, AT_EMPTY_PATH, and AT_EACCESS to the proper fcntl.h files. -- This bug is not upstream, and the define is too new to appear in debian. Upstream, AT_EMPTY_PATH is defined in io/fcntl.h. In debian, debian/patches/any/submitted-bits-fcntl_h-at.diff moves the *AT defines into the per-arch bits/fcntl.h files. The ubuntu-specific merge of newer upstream updated the patch doing so to remove the AT_EMPTY_PATH with the rest of that blcok from io/fcntl.c, but does not add it to the bits/fcntl.h files. This is needed for qemu-kvm to compile the virtio-9p-handle.c file. A debdiff is attached which adds the definition.
2012-09-12 19:57:06 Chris J Arges eglibc (Ubuntu Precise): assignee Adam Conrad (adconrad)
2012-09-12 19:57:08 Chris J Arges eglibc (Ubuntu Precise): importance Undecided Medium
2012-09-12 19:57:10 Chris J Arges eglibc (Ubuntu Precise): status New In Progress
2012-09-12 20:37:18 Chris J Arges description [Impact] A fix is needed for qemu-kvm to compile the virtio-9p-handle.c file. [Development Fix] This is fixed in quantal. [Stable Fix] A fix can be backported from quantal into precise. [Test Case] Try to compile the virtio-9p-handle.c file in qemu-kvm. [Regression Potential] This patch adds AT_SYMLINK_FOLLOW, AT_NO_AUTOMOUNT, AT_EMPTY_PATH, and AT_EACCESS to the proper fcntl.h files. -- This bug is not upstream, and the define is too new to appear in debian. Upstream, AT_EMPTY_PATH is defined in io/fcntl.h. In debian, debian/patches/any/submitted-bits-fcntl_h-at.diff moves the *AT defines into the per-arch bits/fcntl.h files. The ubuntu-specific merge of newer upstream updated the patch doing so to remove the AT_EMPTY_PATH with the rest of that blcok from io/fcntl.c, but does not add it to the bits/fcntl.h files. This is needed for qemu-kvm to compile the virtio-9p-handle.c file. A debdiff is attached which adds the definition. SRU Justification: [Impact] A fix is needed for qemu-kvm to compile the virtio-9p-handle.c file. [Development Fix] This is fixed in quantal. [Stable Fix] A fix can be backported from quantal into precise. [Test Case] Try to compile the virtio-9p-handle.c file in qemu-kvm. [Regression Potential] This patch adds AT_SYMLINK_FOLLOW, AT_NO_AUTOMOUNT, AT_EMPTY_PATH, and AT_EACCESS to the proper fcntl.h files. -- This bug is not upstream, and the define is too new to appear in debian. Upstream, AT_EMPTY_PATH is defined in io/fcntl.h. In debian, debian/patches/any/submitted-bits-fcntl_h-at.diff moves the *AT defines into the per-arch bits/fcntl.h files. The ubuntu-specific merge of newer upstream updated the patch doing so to remove the AT_EMPTY_PATH with the rest of that blcok from io/fcntl.c, but does not add it to the bits/fcntl.h files. This is needed for qemu-kvm to compile the virtio-9p-handle.c file. A debdiff is attached which adds the definition.
2012-09-12 22:20:52 Clint Byrum eglibc (Ubuntu Precise): status In Progress Fix Committed
2012-09-12 22:20:55 Clint Byrum bug added subscriber Ubuntu Stable Release Updates Team
2012-09-12 22:20:57 Clint Byrum bug added subscriber SRU Verification
2012-09-12 22:21:04 Clint Byrum tags patch patch verification-needed
2012-09-13 17:17:02 Serge Hallyn tags patch verification-needed patch verification-done
2012-10-05 19:08:48 Brian Murray tags patch verification-done patch
2012-10-05 19:08:49 Brian Murray tags patch patch verification-needed
2012-10-08 14:57:07 Serge Hallyn tags patch verification-needed patch verification-done
2012-10-18 08:03:34 Colin Watson removed subscriber Ubuntu Stable Release Updates Team
2012-11-14 22:48:15 Adam Conrad eglibc (Ubuntu Precise): status Fix Committed Fix Released
2012-11-14 22:48:21 Adam Conrad cve linked 2012-3406
2012-11-14 22:48:21 Adam Conrad cve linked 2012-3480
2013-06-25 06:19:11 Launchpad Janitor branch linked lp:ubuntu/eglibc
2013-08-28 10:02:58 Launchpad Janitor branch linked lp:~ubuntu-branches/ubuntu/precise/eglibc/precise-proposed